Get a VPC
curl --request GET \
--url https://console.cloud.timescale.com/public/api/v1/projects/{project_id}/vpcs/{vpc_id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://console.cloud.timescale.com/public/api/v1/projects/{project_id}/vpcs/{vpc_id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://console.cloud.timescale.com/public/api/v1/projects/{project_id}/vpcs/{vpc_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "1234567890",
"name": "my-production-vpc",
"cidr": "10.0.0.0/16",
"region_code": "us-east-1"
}{
"code": "<string>",
"message": "<string>"
}Get a VPC
Retrieves the details of a specific VPC by its ID.
GET
/
projects
/
{project_id}
/
vpcs
/
{vpc_id}
Get a VPC
Authorizations
HTTP Basic Authentication using your Tiger Cloud public key and secret key.
Format: Authorization: Basic <base64(public_key:secret_key)>
Example:
curl -X GET "https://console.cloud.timescale.com/public/api/v1/projects/{project_id}/services" \
-H "Authorization: Basic $(echo -n 'your_public_key:your_secret_key' | base64)"
Path Parameters
The unique identifier of the project.
Example:
"rp1pz7uyae"
The unique identifier of the VPC.
Example:
"1234567890"